<?php

declare(strict_types=1);

namespace Drupal\data_pipelines\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * A class that acts as a constraint to validate a json path.
 *
 * @Constraint(
 *   id = "JsonPath",
 *   label = @Translation("Json path", context = "Validation"),
 * )
 */
class JsonPathConstraint extends Constraint {

  /**
   * The error message.
   *
   * @var string
   */
  public $message = 'The json path @path is invalid';

}
